\documentclass[tikz]{standalone}
\pagenumbering{gobble}
\usepackage{gitdags}

\begin{document}

\begin{tikzpicture}
  \gitDAG[grow right sep = 2em]{
    A -- B -- { C -- F , D -- E } -- G
  };
  \gitbranch{master}{above=of G}{G}
  \gitbranch{frobnicate}{below=of E}{E}
  \gitHEAD{above=of master}{master}
\end{tikzpicture}

\end{document}
